Jump to content

[1.9.x] DMagic's Evolved Mods - Tracking Station Evolved 6.0 [5-4-2018]


DMagic
 Share

Recommended Posts

47 minutes ago, DerGolgo said:

I, too, get an error message. Both with the big download button at the top, and with the download button in changelog, the file is 404.

there is a problem with spacedock i think, try a bit later, i am getting "Not Found" for this and some other mods

Link to comment
Share on other sites

  • 2 weeks later...

Has anyone else experienced an issue similar to this: I have a lander on a sub-orbital trajectory around Minmus.  I want to add two manoeuvre nodes, the first one is prograde to raise the periapsis and set up a docking approach to the capsule, the second is anti-normal to lower the inclination.  I can add the first node without any problem, but when I add the second node it is only editable for aboua second, then it locks and I cannot edit or delete it.  It's the same behaviour as if a probe doesn't have a Kerbnet link back to KSC.  But (a) this is a manned probe, and (b) I have 100% signal.  The odd thing is that I can't bring up the pause menu or switch out of map mode, but I can interact with Kerbal Engineer, view the info panels, etc.

I've had the same thing happen four times in a row so I doubt it's a fluke.

Screen recording saved here: http://www.untestedtheory.co.uk/recordings/2020-05-17%2018-18-44.mkv

 

 

Link to comment
Share on other sites

  • 5 weeks later...

Hypothetically, if one desired to modify this mod to work with a prior version of KSP (1.2.2 to be exact), how difficult would that be? What would be required to be able to modify and where would one even begin?

Asking for a friend.

 

I'm willing to give it my best shot to learn, I mean my friend will:blush:, and put in the time and effort that might be needed.

 

Link to comment
Share on other sites

1 hour ago, iFlyAllTheTime said:

Hypothetically, if one desired to modify this mod to work with a prior version of KSP (1.2.2 to be exact), how difficult would that be? What would be required to be able to modify and where would one even begin?

Asking for a friend.

 

I'm willing to give it my best shot to learn, I mean my friend will:blush:, and put in the time and effort that might be needed.

 

It would basically require entirely remaking all of the UI components. Earlier versions of KSP use a different version of Unity that isn't compatible with the assets in current versions.

There would probably be a number of other issues that would come up as well, but the UI alone would take a significant amount of effort.

Link to comment
Share on other sites

2 hours ago, DMagic said:

There would probably be a number of other issues that would come up as well, but the UI alone would take a significant amount of effort.

Yeah... I went down the rabbit hole on "how to create plugins" in the forums and installed a couple of IDE. I thought I'd teach myself C++ and see how far I can get, but boy it seems like a herculean task!

It has made me realise how much time and effort people like you put in. I have new found respect for all the modders for making and then supporting my all time favourite game with astonishing gameplay improvements through mods.

I'll try to learn as much as I can, but I'll wait until I'm ready to move on from that old save to a newer version, before I use this mod!

Link to comment
Share on other sites

2 hours ago, iFlyAllTheTime said:

I thought I'd teach myself C++ and see how far I can get, but boy it seems like a herculean task!

C++ is a complex language, but for KSP modding you actually want to learn C#.  Similar name but different language.  C# is simpler — though it'll still be a lot to learn if you  have no programming experience at all.

(Strictly speaking, you can use any language that can compile to .NET, including C++/CLI — but pretty much all KSP mods are written in C#, and that should generally be your default choice unless you know what you're doing and have a good reason to use something else.)

Link to comment
Share on other sites

  • 3 months later...
12 hours ago, aradapilot said:

Any chance of rebuilding these for 1.10?

Does it not work in 1.10?  I would encourage you to try it out yourself on a clean 1.10.x install and letting us know.  Do not attempt this on your main game instance/save until you're comfortable it works.  Mod authors will often not update a mod if it already works in a newer version. 

Edit:  Okay, I couldn't let this go untested:rolleyes:!  I've just loaded it into a mod-light 1.10.1 game myself and it appears to work just fine.  YMMV.

Edited by Brigadier
I tried it.
Link to comment
Share on other sites

  • 1 month later...
  • 3 weeks later...

I am using tracking station evolved with JNSQ on KSP 1.9.1...I've noticed that when I use the sort by planets, the only planets that show up are stock planets.  When I have probes in orbit around other non-stock planets such as Edna, the planet does not come up in the sort and I need to sort by vessels.  Before digging more into potential conflicts, I wanted to see if anyone else has experienced this problem.  Thanks in advance for any information.

Link to comment
Share on other sites

  • 4 weeks later...
5 hours ago, Lijazos said:

Is it working for 1.11?

Works for me. I keep different KSP version in their own directories and just copied everything in GameData (excluding Squad*, of course) over from 1.10. The only mod (in ~90) I had to remove was Basic DeltaV because it overwrites the stock dV display in the editor and didn't work right (just like KER).

I continued the career save game from 1.10 and didn't start a new one, though.

Edited by HansAcker
Link to comment
Share on other sites

  • 1 month later...
On 12/6/2020 at 3:07 PM, HawkEngineer said:

Thanks for the feedback, guess I need to look for some conflicts.  

Hi, did you ever track down the issue you were having. I'm on 1.11.0 and I am having the same problem only I'm  using OPM, Extrasolar and the Vulture system instead. Thought if you did figure it out, it might give me some insight on what to look at(for).  Tried reinstall  of TSE to no avail. 

Link to comment
Share on other sites

4 hours ago, CasualKerbal said:

Hi, did you ever track down the issue you were having. I'm on 1.11.0 and I am having the same problem only I'm  using OPM, Extrasolar and the Vulture system instead. Thought if you did figure it out, it might give me some insight on what to look at(for).  Tried reinstall  of TSE to no avail. 

Unfortunately I was never ever able to track down the conflict.  I was on KSP 1.10 at the time, but when I did a fresh install to KSP 1.11, the problem went away.  I also using it on a GEP install without any problems.  I am basically using the same set of mods from KSP 1.10 and 1.11...

Link to comment
Share on other sites

57 minutes ago, HawkEngineer said:

Unfortunately I was never ever able to track down the conflict.  I was on KSP 1.10 at the time, but when I did a fresh install to KSP 1.11, the problem went away.  I also using it on a GEP install without any problems.  I am basically using the same set of mods from KSP 1.10 and 1.11...

Yep I was dreading that response..so many mods to reinstall. Ah well sounds like I know what I'm doing this weekend. Need to move to 1.11.1 anyway. Thank you though 

Link to comment
Share on other sites

While looking for a suitable asteroid to pull into Eve orbit, I found I was in need of better sorting/display options for asteroids in the Tracking Station, so I went searching to see if anyone had written a mod to provide the functionality I was looking for, and found Tracking Station Evolved that seems to almost provide what I'm after.

 

Specifically, what I'm after is a tracked asteroid "management" facility available from the tracking station (would only be available from a lvl 3 tracking station in career mode)

options available:

  • ability to display asteroids by class (size)
  • (optional) ability to colour asteroids by size
  • ability to display asteroids that pass within a specified distance of the orbit of a celestial body (for example: I could view only those asteroids whos orbits pass within 100000km of Eve's orbit)
  • ability to be able to add asteroids to named watch lists so I could view all asteroids in a watch list.

 

Here is my reason for wanting such functionality:

 

(now which of these asteroids is going to pass close enough to Eve to make it worth my while to push it into an Eve orbit?  :0.0:)

ACtC-3e7fDqjiOSrll0ej_pLDY0RrGwN78fv6j2z

 

Happy to ask this question in a separate thread if this is not the right mod for thinking about this feature.

 

Regards,

John

Link to comment
Share on other sites

  • 1 month later...
13 hours ago, DaBakonAder said:

is the tracking station evolved mod compatible with OPM?

Yeah, Tracking Station Evolved is designed to handle any planet pack you throw at it. It works with system replacers, it'll work with OPM.

Link to comment
Share on other sites

  • 2 months later...
  • 3 weeks later...

I installed both of this mods in KSP 1.12.1, and something is not working right.

If I go to a vessel using the Tracking Station, I was unable to place any maneuver node on his orbit. But if I use 'Haystack ReContinued' to load the vessel, the maneuver node works ok! The maneuver node also works if I'm launching the vessel and not change scene yet!

I'm not know which of this mod is causing this issue!

 

 

This mods is working great. Was other mod (Custom Barn Kit) that is causing my issues!

Sorry.

Edited by Dominiquini
Link to comment
Share on other sites

1 hour ago, Dominiquini said:

I installed both of this mods in KSP 1.12.1, and something is not working right.

If I go to a vessel using the Tracking Station, I was unable to place any maneuver node on his orbit. But if I use 'Haystack ReContinued' to load the vessel, the maneuver node works ok! The maneuver node also works if I'm launching the vessel and not change scene yet!

I'm not know which of this mod is causing this issue!

Strangely, this bug only happens in a new game, in which I tested it about 3 times (Sandbox with manned vessels).
Everything seems to be working fine in a slightly older game where I only have probes in orbit!

Thanks.

* This mods is working great. Was other mod (Custom Barn Kit) that is causing my issues!

Sorry.

Edited by Dominiquini
Link to comment
Share on other sites

If this mod is still be working on, I could post the log files to help fix this problems...

I would really like this mod to be updated. I really liked the changes they brought...

 

This mods is working great. Was other mod (Custom Barn Kit) that is causing my issues!

Sorry.

Edited by Dominiquini
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...